Page MenuHomePhabricator

Proposal: User Contribution Summary
Closed, DeclinedPublic

Description

Profile Information

Name: Sayani Bhattacharjee
IRC nickname on Freenode: saayani
LinkedIn Profile: https://www.linkedin.com/in/sayani-b/
GitHub URL: https://github.com/saayani
Blog: https://medium.com/@sayanibhattacharjee
Location (country or state): Kolkata, India
Typical working hours (include your timezone) : 10:00 - 1:00 (UTC +5:30)

Synopsis

  • Short summary describing your project and how it will benefit Wikimedia projects

The project aims at developing a Toolforge tool for showcasing a summary of User’s contribution to Wikipedia. The tool will take into account not only the regular user statistics, but also show a timeline of user’s contribution based on how much the user contributed in a year, and provide options of featuring articles, illustrate the ones with high number of views and filter articles by topics tag.

The Toolforge tool will measure the above for a given user. APIs will be built for other tools to fetch and use the data. The frontend will be built using React and backend in Python.

  • Possible Mentor(s):

@Tgr, @Slaporte

  • Have you contacted your mentors already?

Yes

Deliverables

  • October 23
  • Application Deadline
  • October 23 - November 30
  • Community bonding
  • Understand the workflow of the project in detailed manner and start contributing
  • Discuss with mentors and finalize the approach to work
  • Attain the bootstrap stage
  • Learn technologies that I do not have a lot of experience with and brush up existing ones
  • Work on a relevant blog post every week
  • December 1 - December 10
  • Semester exams start on 1st December and end by or before 10 December tentatively
  • December 11 - December 31
  • Build the elementary UI of the tool
  • Code review by mentor
  • Update personal blog for weekly status
  • Get reviews and improve on them
  • January 1 - January 15
  • Clean code and test for bugs
  • Discuss the current approach and get a go-ahead from mentor
  • Continue writing weekly blog posts on whatever I am currently working, facing problems and how I am solving them
  • January 16 - January 31
  • Finalize the work on frontend
  • Submitting and completing midterm evaluation
  • Make relevant changes as per review
  • Mention my progress on the weekly blogs
  • February 1 - February 15
  • Make APIs
  • Have a cache layer on top
  • Writing tests
  • Code review by mentor
  • Weekly blog post featuring things that I learned till now
  • February 16 - February 28
  • Make the tool mobile friendly
  • Testing phase
  • Write a documentation
  • Weekly blog post enlisting my fears and achievements
  • March 1 - March 5
  • Ensure all bugs are fixed
  • Final evaluation by mentor
  • Make the required changes (if needed)
  • Write a blog post highlighting the journey so far with Outreachy, and encourage more people to participate
  • Post Outreachy
  • Continue contributing to displaying a user contribution summary tool and be an active developer of Wikimedia

Participation

Describe how you plan to communicate progress and ask for help, where you plan to publish your source code, etc

  • For communicating my progress with the mentors, I plan to use IRC and Gmail. I will be publishing the source code on github and will use any other internal tools of wikimedia when necessary. I will weekly write blogposts about my approach and progress on the project.

About Me

Tell us about a few:

  • Your education (completed or in progress)

Currently in the 7th semester of B.Tech in Computer Science and Engineering. Being a tech enthusiast, I look out for opportunities and have a knack of solving problems.

  • How did you hear about this program?

While digging in for GSoC and related programs, I stumbled upon Outreachy. On further reading about multiple organizations and projects, found User Contribution Summary Tool for Wikipedia an appealing project and the organization equally fascinating as it routinely solves my day-to-day queries.

  • Will you have any other time commitments, such as school work, another job, planned vacation, etc, during the duration of the program?

I will have my 7th semester exams from 1st of December which tentatively gets over by 10th of December. I will have 8 weeks of holidays after that until the commencement of 8th semester.

  • What does making this project happen mean to you?

As a strong believer of education for all, Wikimedia is the perfect organization for boosting up my skills and motive for the same. Wikipedia has always been my go-to, and developing a tool that directs at enhancing the user experience, and provide a platform to analyze and motivate Wikipedia users, will give me immense satisfaction. Being new to the open-source community, it will drive me further to contribute more in a meaningful way. I learnt a lot while attempting the microtasks and believe that it will continue to be an amazing learning experience.

Past Experience

Describe any relevant projects that you've worked on previously and what knowledge you gained from working on them. Describe any open source projects you have contributed to as a user and contributor (include links). If you have already written a feature or bugfix for a Wikimedia technology such as MediaWiki, link to it here; we will give strong preference to candidates who have done so

  • Microtask 1: A tool which takes in the username for the English Wikipedia and fetches and displays the recent edits in a tabular format.

Github link: https://github.com/saayani/Outreachy-Contribution_tool/pull/4

  • Microtask 3: A design mockup for the user contribution summary tool

Github link: https://github.com/saayani/Outreachy-Contribution_tool/pull/3

Work Experience:

Intern at NowPurchase: As a full time intern for 2 months (mid June 2017 - mid August 2017) at NowPurchase (e-commerce platform for industrial procurement), I solely developed their official app on React Native for both Android and iOS. Built all required APIs in PHP using the existing database for the website. I still work here as an intern remotely as all the designs were not possible to be implemented in just 2 months. The product is to be launched by October end 2017.

Intern at Placess: Worked as an intern for 2 months (mid June 2016 - mid August 2017) on the development of the company’s app - Preplane, implemented the new UI on Android, along with addition of new features, devised new algorithms for generation of tests on the platform. Additionally worked on firebase and AppVirality.

Below are some of the projects that I have worked in:

  • Movie Database Application: Made in python(flask) as backend with HTML/CSS as frontend, designed in a way that a user can enter movie details and others can see and rate them or review them.

Github link: https://github.com/saayani/movieapp

  • Barcode Reader App: Created a barcode reader application in android studio using the ZXing library which is capable of scanning the barcodes(ISBN) of books and fetching data from the server. Used BeautifulSoup library in python to acquire data related to book from the internet by searching with ISBN.

Github link: https://github.com/saayani/BarCodeOfBooks

  • Image Caption: Built a google like text search engine for harrypotter.wikia.com website by crawling all the links and building an inverted index on the documents and ran the query results using TF-IDF and DM25 ranking algorithms.

Github link: https://github.com/saayani/Image-Caption

Any Other Info

Add any other relevant information such as UI mockups, references to related projects, a link to your proof of concept code, etc

I will be available to work full time from 10th of December (tentatively due to semester exams), for 70 hours per week till mid February, thereafter 40 hours per week till the end of the internship period.

Event Timeline

Saayani created this task.Oct 13 2017, 9:05 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 13 2017, 9:05 PM
Saayani updated the task description. (Show Details)Oct 13 2017, 9:29 PM
Tgr assigned this task to Saayani.Oct 16 2017, 4:24 AM
Tgr added a subscriber: Tgr.Oct 19 2017, 6:45 PM
Saayani updated the task description. (Show Details)Oct 23 2017, 1:29 PM
Saayani added a subscriber: Slaporte.
Tgr closed this task as Declined.Nov 11 2017, 8:01 PM

Thanks for participating in Outreachy! Unfortunately this proposal wasn't selected.